激情燃烧的木炭

微笑生活,努力工作,让我们做得更好!

Windows 2003 下安装 SiteServer 4.1

🔗 SiteServer

Net 4.Net 4.Net 4.Net 4.Net 4.Net 4.0 的版本了,那么以前老用户怎么办?SiteServer 从版本4开始逐步已经转向了 .0 的版本,不过这个版本的微信和会员的部分功能是不能用的。Net Framework 版本也就是 . 现在 SiteServer 已经不再发布基于 .0,所以如果 SiteServer 官方不提供 4.0 的版本一样,部分功能缺损。0 版本的话,Windows 2003 下将无法使用。 2、删除部分文件。

SiteServer 从版本4开始逐步已经转向了 .Net4.5 下开发,而 Windows 2003 Server 下能安装的 .Net Framework 版本也就是 .Net 4.0,所以如果 SiteServer 官方不提供 4.0 版本的话,Windows 2003 下将无法使用。

之前在 SiteServer 每次发布新版的时候,会在后面的几天发布一个基于 .Net 4.0 的版本,不过这个版本的微信和会员的部分功能是不能用的。

现在 SiteServer 已经不再发布基于 .Net 4.0 的版本了,那么以前老用户怎么办?目前有两个解决方案:
1、升级服务器。将服务器系统升级到 Windows 2008 Server 或者以上的版本,目前 .Net 4.5 最低支持此服务器版本,这是最完美的解决办法。

2、删除部分文件。只要你将网站根目录下的 Global.asax 文件和 bin/Siteserver.API.dll 文件删除即可,删除文件后的网站就可以在 .Net 4.0 下的系统运行了,缺点是和官方 .Net 4.0 的版本一样,部分功能缺损。

来源: 编辑: 关键词:版本 4. net